set -u

export TEST_HOME=$PWD
export APP_HOME=$(dirname $TEST_HOME)
export TEST_BIN=$TEST_HOME/bin
export TEST_DATA=$TEST_HOME/data
export PATH=$TEST_BIN:$PATH:.

unset P4AUDIT P4DEBUG P4NAME P4PORT P4ROOT P4JOURNAL P4LLOG P4DEBUG P4NAME
export P4USER=p4admin
export P4LOG=log
export P4JOURNAL=journal

export P4BIN=$TEST_BIN/p4
export P4DBIN=$TEST_BIN/p4d

export P4CONFIG=$TEST_HOME/.p4config.test

export P4ROOT=$TEST_HOME/.p4root

if [[ ! -d "$P4ROOT" ]]; then
   /bin/mkdir "$P4ROOT"
   if [[ $? -ne 0 ]]; then
      echo -e "\nError: Could not create P4ROOT dir [$P4ROOT].\n"
      return 1
   fi
fi

if [[ ! -r $P4CONFIG ]]; then
   echo -e "P4PORT=rsh:/bin/sh -c \"umask 077 && exec p4d -i -J off -r ${TEST_HOME}/.p4root\"\nP4USER=super-trigger\nP4ENVIRO=$TEST_HOME/.p4enviro\nP4TICKETS=$TEST_HOME/.p4tickets\nP4TRUST=$TEST_HOME/.p4trust\nP4IGNORE=.p4ignore\n" > $P4CONFIG
fi

declare -i envOK=1
for exe in p4 p4d; do
   if [[ ! -r $TEST_BIN/$exe ]]; then
      echo -e "\nError: Missing '$exe' executable in $TEST_BIN.  Acquire with commands like:\n\tcd $TEST_BIN\n\twget ftp://ftp.perforce.com/perforce/r15.1/bin.darwin90x86_64/$exe\n\tchmod +x $exe\n\t./$exe -V\n\n"
      envOK=0
   fi
done

[[ $envOK -eq 1 ]] && return 0
return 1
