P4 Verify - Low and Slow
---

This folder contains updated versions of deprecated SDP scripts that
do 'p4 verify' differently than the standard script, `p4verify.sh`.

Rather than doing `p4 verify -qz //SomeDepot/...`, these versions walk the directory tree using a recursive algorithm based on `p4 dirs` commands, and verifies a bit at a time.  The result is a verify operation that runs much slower than the standard script does, but never consumes much RAM.  This is particularly useful in cases where there isn't enough RAM to run the standard script.

Meanwhile and separately, there is a change in progress to speed up `p4 verify` by doing extensive parallel processing.  Perhaps that could be combined here.

The scripts are:
---

* `p4verify_incremental.sh` - Wrapper script, called just like `p4verify.sh` and used in place of `p4verify.sh`.
* `p4verify.pl` - Utility script, not called by people directly.
* `p4verify_fix_incremental.sh` W* rapper script, called just like `p4verify.sh`, but called only in situations where 'p4 verify' gives erroneous 'BAD!' errors for text+k[x] file types, e.g. after moving from one server machine to another.  * `p4verify_fix.pl` - Utility script called by `p4verify_fix_incremental.sh`.


